Subject: Re: [Roll] Potential RPL Enhancements

From: Mukul Goyal <[email-masked]>
Date: Fri, 11 Dec 2009 08:53:19 -0600 (CST)

Hi JP,

Would simulation results suffice?

I plan to run simulations on sample topologies to compare:

the "cost" for P2P routes (for each source to each destination in the network) through a DAG (up the DAG and then down; with and without non-root nodes storing DAO state) versus "minimum cost" versus the cost under the protocol that I suggested a few months ago.

Thanks
Mukul    
----- Original Message -----
From: "JP Vasseur" <[email-masked]>
To: "Mukul Goyal" <[email-masked]>
Cc: "ROLL WG" <[email-masked]>
Sent: Friday, December 11, 2009 8:42:58 AM GMT -06:00 US/Canada Central
Subject: Re: [Roll] Potential RPL Enhancements

Hi Mukul,

On Dec 11, 2009, at 3:32 PM, Mukul Goyal wrote:

> JP
>
> "We reached a point where the protocol is getting stable with all  
> must-
> have features (except security, our next top priority item)."
>
> I am not sure if many people are convinced regarding the suitability  
> of RPL for P2P routing.
>

Thanks for the comment. Could you elaborate with data points?

Thanks.

JP.

> Thanks
> Mukul
>
> ----- Original Message -----
> From: "JP Vasseur" <[email-masked]>
> To: "ROLL WG" <[email-masked]>
> Sent: Friday, December 11, 2009 8:20:26 AM GMT -06:00 US/Canada  
> Central
> Subject: [Roll] Potential RPL Enhancements
>
> Dear all,
>
> As a follow up to my previous email with regards to the version 05 of
> RPL, I wanted to elaborate a little bit on the process that we will be
> following with regards to further RPL enhancements.
>
> We reached a point where the protocol is getting stable with all must-
> have features (except security, our next top priority item). It is now
> time to get feed-back from implementers.
>
> There will of course be proposals to enhance and improve the protocol
> and here is the proposed way to proceed:
>
> 1) If there is a request to modify RPL because an issue has been
> found, a ticket will be opened and the issue will be solved.
> 2) If there is "nice to have" enhancements, we'll open a ticket
> flagged as "enhancement", to be addressed at some point (e.g. DIS
> enhancement)
> 3) New features will be addressed in separate documents.
>
> Plan for rev-06 and -07:
> 1) clarification and potential enhancements to DAO processing
> 2) potentially DAO packing if it is shown that such mechanism is  
> needed
> 3) Security
>
> Thanks.
>
> JP.
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll